.grid-calendario-vista-trabajador {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 2px;
    justify-items: stretch;
    align-items: stretch;
}

.grid-calendario-vista-trabajador .alto-fila-turno {
    height: 50px;
}

.grid-calendario-vista-trabajador .panel.panel-sin-margenes-externos {
    margin: 0;
}

.grid-calendario-vista-trabajador .dropdown.dropdown-disponibilidad {
    position: absolute;
    top: 0;
    right: 0;
}

.grid-calendario-vista-trabajador .boton-disponibilidad {
    margin: 0;
}

.grid-calendario-vista-trabajador .dia-hoy {
    background-color: rgba(0, 193, 228, 1);
    color: white;
}

.grid-calendario-vista-trabajador .dia-fuera-mes-consulta {
    background-color: rgb(189, 189, 189);
    color: rgb(78, 78, 78);
    text-align: center;
    font-weight: bold;
}

.grid-calendario-vista-trabajador .top-left-triangle {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 40px 40px 0 0;
    border-color: rgb(55, 61, 123) transparent transparent transparent;
    position: absolute;
    top: 0;
    left: 0;
}

.grid-calendario-vista-trabajador .simbologia-jornada {
    position: absolute;
    top: 5px;
    left: 5px;
}

.grid-calendario-vista-trabajador .info-turno,
.grid-calendario-vista-trabajador .info-horarios {
    vertical-align: top;
}

.grid-calendario-vista-trabajador .info-turno {
    width: 15%;
}

.grid-calendario-vista-trabajador .info-horarios {
    font-size: .8em;
    width: 60%;
}

.grid-calendario-vista-trabajador .contenedor-disponibilidades,
.grid-calendario-vista-trabajador .contenedor-otras-unidades-puestos{
    position: absolute;
    bottom: 5px;
    left: 5px;
}

.grid-calendario-vista-trabajador .ticket-disponibilidad,
.grid-calendario-vista-trabajador .ticket-unidad-puesto {
    border-radius: 10px;
    color: white;
    display: inline-block;
    font-weight: bold;
    padding: 0 5px;
    vertical-align: bottom;
}

.grid-calendario-vista-trabajador .ticket-unidad-puesto {
    background-color: rgb(255, 108, 0);
    font-size: .7em;
    max-width: 80px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.grid-calendario-vista-trabajador .ticket-disponibilidad {
    background-color: rgb(104, 218, 182);
    font-size: .8em;
    margin-right: 2px;
}

.grid-calendario-vista-trabajador .ticket-hora-extra-agregada,
.grid-calendario-vista-trabajador .ticket-hora-extra-validada {
    border-radius: 10px;
    color: white;
    font-weight: bold;
    padding: 0 5px;
    position: absolute;
    right: 5px;
}

.grid-calendario-vista-trabajador .ticket-hora-extra-agregada {
    background-color: #0c98ec;
    top: 5px;
}

.grid-calendario-vista-trabajador .ticket-hora-extra-validada {
    background-color: red;
    font-size: .7em;
    bottom: 5px;
}






@media (min-width: 768px) {
    .grid-calendario-vista-trabajador {
        grid-template-columns: repeat(7, 1fr);
    }
}

@media (min-width: 768px) and (max-width: 991px){
    .grid-calendario-vista-trabajador .ticket-unidad-puesto {
        max-width: 32%;
    }
}

@media (min-width: 992px) and (max-width: 1199px){
    .grid-calendario-vista-trabajador .ticket-unidad-puesto {
        max-width: 60%;
    }
}



